/****************************************************************************
**  CUBE        http://www.score-p.org/                                    **
**  SCALASCA    http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2014                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef VISUALIZATION_CONNECTER_H
#define VISUALIZATION_CONNECTER_H

#include <string>

class VisualizationConnecter
{
public:
    virtual std::string
    InitiateAndOpenTrace() = 0;
    virtual std::string
    ZoomIntervall( double start,
                   double end,
                   int    zoomNumber ) = 0;
    virtual bool
    IsActive() const = 0;

    virtual
    ~VisualizationConnecter()
    {
    };
};

#endif
