/****************************************************************************
**  CUBE        http://www.score-p.org/                                    **
**  SCALASCA    http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2014                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



#include "TypedWidget.h"

TypedWidget::TypedWidget() : QWidget()
{
}

TypedWidget::TypedWidget( QWidget* widget ) : QWidget( widget )
{
}

TypedWidget::~TypedWidget()
{
}


void
TypedWidget::setType( WidgetType type )
{
    this->type = type;
}

WidgetType
TypedWidget::getType()
{
    return type;
}
