/****************************************************************************
**  CUBE        http://www.score-p.org/                                    **
**  SCALASCA    http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2014                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



#ifndef _TYPEDWIDGET_H
#define _TYPEDWIDGET_H

#include <QWidget>

#include "Constants.h"

//TypedWidget allows to assign some types to widgets;
//WidgetType is defined in constants.h

class TypedWidget : public QWidget
{
public:

    TypedWidget();
    TypedWidget( QWidget* widget );
    ~TypedWidget();

    void
    setType( WidgetType type );
    WidgetType
    getType();

private:

    WidgetType type;
};

#endif
