/****************************************************************************
**  CUBE        http://www.score-p.org/                                    **
**  SCALASCA    http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2014                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2014                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/

#include "CRegion.h"

#include "CubeRegion.h"

using namespace cube;
using namespace std;

CRegion::CRegion( const string& name,
                  int           begln,
                  int           endln,
                  const string& url,
                  const string& descr,
                  const string& mod,
                  uint32_t      id,
                  int           cache_size )
    : Region( name, begln, endln, url, descr, mod, id ), Cacheable( cache_size )
{
}
