#ifndef CUBE4_DUMP_COMMANDOPTION_H
#define CUBE4_DUMP_COMMANDOPTION_H

//#include <cstdlib>
//#include <iostream>
//#include <string>
//#include <sstream>
//#include <unistd.h>

#include "Cube.h"
#include "CubePL1Driver.h"

void
parseMetrics( string          _optarg,
              vector<string>& metric,
              cube::Cube*     _cube );
bool
parseCallPaths_Threads( string            _optarg,
                        vector<unsigned>& cnodeId );

void
parseNewMetric( vector<string>& newmetric,
                vector<string>& metric,
                bool&           check_all,
                cube::Cube*     _cube );

bool
parseCubePlCnodeCondition( string  _optarg,
                           string& cubepl );


string
fakeNumberCheck( string& input );

void
cnodeSelection( cube::Cube*            cube,
                std::string&           cnode_cond_cubepl,
                std::vector<unsigned>& cnode_idv );



template <class T>
bool
from_string( T&                 t,
             const std::string& s,
             std::              ios_base& ( *f )( std::ios_base & ) )
{
    std::istringstream iss( s );
    return !( iss >> f >> t ).fail();
}


#endif // CUBE4_DUMP_COMMANDOPTION_H
